<?php

namespace Ems\portalGestor\Util;
class Util {
    public static function getIfSet(array $object, string $attribute)
    {
        $value = isset($object[$attribute]) ?
            $object[$attribute] :
            null;

        return $value;
    }

    public static function curl($token, $secret, $row, $uri) {
        $header = array(
            "OAuth-Token: ".$token, //Local
            "OAuth-SecretId: ".$secret
        );

        $data = array(
            'requestType' => 'Row',
            'row' => $row
        );

        $header[] = 'Content-Type: application/json';
        $header[] = 'Content-Length: ' . strlen(json_encode($data));
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
        curl_setopt($ch, CURLOPT_URL, $uri);
        curl_setopt($ch, CURLOPT_POST, count($data));
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);

        $result = curl_exec($ch);
        $err    = curl_errno( $ch );
        $errmsg = curl_error( $ch );
        curl_close($ch);

        $header['errno']   = $err;
        $header['errmsg']  = $errmsg;
        $header['content'] = json_decode($result, true);
        
        print_r('<b>Header:</b><br>');
        print_r($header);
        print_r('<br><br>');

        print_r('<b>Results:</b><br>');
        print_r($result);
        print_r(json_decode($result, true));
    }
}